package com.muyu.cache;

import com.github.benmanes.caffeine.cache.Cache;
import com.github.benmanes.caffeine.cache.Caffeine;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 缓存配置类
 */
@Configuration
public class CaffeineConfig {
    @Bean("loginUserCache")
    public Cache<String, ? extends ExpiryTime> loginUserCache(){
        CacheExpiry<String, ExpiryTime> cacheExpiry = new CacheExpiry<>();
        return Caffeine.newBuilder()
                .expireAfter(cacheExpiry)
                .initialCapacity(128)
                .build();
    }

    @Bean("messageTemplateCache")
    public Cache<Long, ? extends ExpiryTime> messageTemplateCache(){
        CacheExpiry<Long, ExpiryTime> cacheExpiry = new CacheExpiry<>();
        return Caffeine.newBuilder()
                .expireAfter(cacheExpiry)
                .initialCapacity(128)
                .build();
    }
}

