package com.muyu.cache.model;

import com.muyu.cache.ExpiryTime;
import com.muyu.web.domain.MessageTemplate;
import com.muyu.web.domain.MessageTemplateValue;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;
import java.util.function.Function;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/25
 * @Description: 模板报文模型
 * @Version: 1.0
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class MessageTemplateCacheModel extends ExpiryTime {

    /**
     * 主键
     */
    private Long key;

    /**
     * 报文名称
     */
    private String messageName;

    /**
     * 报文模板值集合
     */
    private List<MessageTemplateValue> messageTemplateValueList;

    public static MessageTemplateCacheModel messageTemplateBuild(
            MessageTemplate messageTemplate, Function<Long,List<MessageTemplateValue>> function) {
        return MessageTemplateCacheModel.builder()
                .key(messageTemplate.getId())
                .messageName(messageTemplate.getMessageName())
                .messageTemplateValueList(function.apply(messageTemplate.getId()))
                .build();
    }
}
