package com.muyu.web.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.web.domain.MessageTemplateValue;
import com.muyu.web.mapper.MessageTemplateValueMapper;
import com.muyu.web.service.MessageTemplateValueService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author: DongZeLiang
 * @date: 2024/9/18
 * @Description: 报文模板值业务实现层
 * @Version: 1.0
 */
@Service
public class MessageTemplateValueServiceImpl
    extends ServiceImpl<MessageTemplateValueMapper, MessageTemplateValue>
    implements MessageTemplateValueService {
    /**
     * 通过报文模板ID获取报文值集合
     *
     * @param msgId 模板ID
     *
     * @return 报文值集合
     */
    @Override
    public List<MessageTemplateValue> valueListByMsgId (Long msgId) {
        return this.list(
                new LambdaQueryWrapper<>(){{
                    this.eq(MessageTemplateValue::getMessageId, msgId);
                }}
        );
    }
}
